Package org.bukkit.entity

# Enum Class Fox.Type

java.lang.Object
java.lang.Enum<Fox.Type>
org.bukkit.entity.Fox.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Fox.Type>`, `Constable`

Enclosing interface:
  Fox

public static enum Fox.Type extends Enum<Fox.Type>
Represents the various different fox types there are.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RED`
`SNOW`

## Method Summary

Modifier and Type
Method
Description
`static Fox.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Fox.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RED

public static final Fox.Type RED

### SNOW

public static final Fox.Type SNOW

## Method Details

### values

public static Fox.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Fox.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null